@import "https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap";

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
}

body {
  background-color: #e5e5e5;
  font-family: Poppins, sans-serif;
}

.overflow {
  overflow: hidden;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
  color: inherit;
}

a:hover {
  filter: brightness(0.8);
}

header {
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 1;
}

.desktop-nav {
  margin-right: 154px;
  display: flex;
  justify-content: space-between;
}

.nav-links {
  color: #344563;
  font-size: 15px;
  font-weight: 500;
  line-height: 20px;
  padding: 10px 12px;
  margin-left: 32px;
}

nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #fff;
  height: 48px;
}

#gabriel {
  font-weight: 300;
  font-size: 18px;
  line-height: 10px;
  text-decoration: none;
  color: #6070ff;
  margin-left: 22px;
}

.menu-bars {
  z-index: 100;
  display: inline;
  cursor: pointer;
  margin-top: 10px;
  margin-right: 36px;
}

.bar1,
.bar2,
.bar3 {
  width: 18px;
  height: 2px;
  background-color: #6070ff;
  margin-bottom: 5px;
  transition: 0.5s;
}

.change .bar1 {
  transform: rotate(45deg) translateY(10px);
  background-color: #fff;
}

.change .bar2 {
  opacity: 0;
}

.change .bar3 {
  transform: rotate(-45deg) translateY(-10px);
  background-color: #fff;
}

.overlay {
  position: fixed;
  z-index: 99;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgb(55 70 255 / 80%);
  backdrop-filter: blur(5px);
  transition: 0.6s;
}

.overlay-slide-left {
  transform: translateX(100vw);
}

.mobile-nav-items {
  margin-left: 27px;
  margin-bottom: 250px;
}

.nav-mobile-links {
  font-weight: 600;
  font-size: 32px;
  line-height: 44px;
  color: #fff;
}

.headline {
  display: flex;
  flex-direction: column;
  background-color: #fff;
  background-image: url("img/headline-bg.svg");
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 0 0 0 70px;
  height: 718px;
  padding: 0 24px 114px;
}

.headline-title {
  font-style: normal;
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
  color: #172b4d;
  margin: 206px 24px 12px;
}

.headline-text {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  margin: 0 24px 12px;
  color: #344563;
}

.headline-link {
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: #7f8cff;
  text-decoration: none;
  margin-left: 24px;
  margin-bottom: 12px;
}

#nav1,
#nav2,
#nav3 {
  margin-bottom: 40px;
}

.socials {
  height: 20px;
  width: 172px;
  margin-left: 24px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  list-style-type: none;
}

.works {
  margin-top: 114px;
  margin-left: 24px;
  margin-right: 24px;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 1fr 1fr 1fr;
  grid-row-gap: 88px;
}

.card-title {
  font-weight: 700;
  font-size: 32px;
  line-height: 44px;
  color: #172b4d;
  margin-top: 12px;
  margin-left: 16px;
}

.tile {
  display: flex;
  flex-direction: column;
  gap: 11px;
  background: #fff;
  border: 1px solid #dfe1e6;
  align-items: center;
  border-radius: 16px;
}

.curtain-out {
  transform: translateX(0);
}

.card-details {
  display: flex;
  align-items: center;
  margin-top: 20px;
  list-style: none;
}

.company {
  margin-right: 12px;
  margin-left: 16px;
  font-weight: 600;
  font-size: 13px;
  line-height: 16px;
  color: #344563;
}

.circle {
  margin-right: 12px;
}

.skillpost {
  margin-right: 12px;
  font-weight: 600;
  font-size: 13px;
  line-height: 16px;
  color: #7a869a;
}

.year {
  font-weight: 600;
  font-size: 13px;
  line-height: 16px;
  color: #7a869a;
}

.card-info {
  font-weight: 400;
  font-size: 15px;
  line-height: 24px;
  color: #344563;
  margin-top: 20px;
  margin-right: 16px;
  margin-left: 16px;
}

.tags {
  display: flex;
  margin-top: 12px;
  list-style: none;
  margin-left: 16px;
}

.tag {
  padding: 4px 12px;
  background: #ebebff;
  border-radius: 8px;
  margin-right: 8px;
  color: #6070ff;
  font-weight: 500;
  font-size: 12px;
  line-height: 16px;
}

.tile-image {
  margin-top: 16px;
  margin-left: 16px;
  margin-right: 16px;
  width: 295px;
  height: 220px;
}

.btn {
  color: #396df2;
  font-family: Poppins, sans-serif;
  font-size: 17px;
  font-weight: 500;
  line-height: 24px;
  padding: 12px;
  border: 1px solid #6070ff;
  border-radius: 8px;
  margin-bottom: 28px;
  background: none;
  cursor: pointer;
  background-color: #fff;
  transition-property: all;
  transition-duration: 0.9s;
}

.btn:hover {
  background: #6070ff;
  box-shadow: 0 8px 16px rgb(64 83 252 / 24%);
  color: #fff;
}

.btn img {
  filter: brightness(100%);
  transition-duration: 0.9s;
  margin-left: 13px;
}

.btn:hover img {
  filter: brightness(300%);
}

.btn:active {
  background: #2230d2;
}

.btn:disabled {
  border: 1px solid #c1c7d0;
  background: #fff;
  color: #5e6c84;
}

.modal-window {
  z-index: 101;
  position: fixed;
  padding: 60px 16px 50px;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  overflow: auto;
  backdrop-filter: blur(3px);
  background-color: rgb(193 199 208 / 30%);
}

.modal-window.hidden {
  display: none;
}

.modal {
  background-color: #fff;
  border-radius: 16px;
  margin-bottom: 50px;
}

.modal > .card-details {
  margin-left: 10px;
}

.tile-image-2 {
  margin-top: 16px;
  margin-left: 16px;
  margin-right: 16px;
  width: calc(100% - 32px);
}

.modal-header {
  border-radius: 16px;
  padding-top: 24px;
  margin-left: 24px;
  display: flex;
  justify-content: space-between;
  background-color: #fff;
}

.modal-title {
  font-weight: 700;
  font-size: 32px;
  line-height: 44px;
}

.close {
  cursor: pointer;
  width: 24px;
  height: 24px;
  margin-right: 32px;
}

.modal-image {
  background-color: #fff;
  display: flex;
  padding-top: 36px;
}

.btn-card {
  margin-left: 16px;
  margin-top: 24px;
  width: 124px;
}

.modal-img {
  margin: 0 auto;
  width: 90%;
}

.modal-texts {
  display: flex;
  flex-direction: column;
  background-color: #fff;
  padding: 12px 16px;
}

.modal-work-info {
  font-size: 16px;
  font-weight: 400;
  line-height: 30px;
  background-color: #fff;
  border-radius: 16px;
}

.tag-btns {
  display: flex;
  flex-direction: column;
  padding-top: 12px;
}

.github-tag,
.ruby-tag,
.bootstrap-tag {
  display: none;
}

.modal-tags {
  display: flex;
  justify-content: flex-start;
  margin-bottom: 20px;
}

.modal-btns {
  display: flex;
  justify-content: space-evenly;
  margin-right: 20px;
}

.about {
  display: flex;
  flex-direction: column;
  height: 1263px;
  background-color: #fff;
  border-top-right-radius: 70px;
  margin-top: 114px;
}

.head-info {
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin-top: 114px;
  margin-left: 24px;
  margin-right: 24px;
}

.about-title {
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
  color: #172b4d;
}

.about-info {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #344563;
}

.about-link {
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: #7f8cff;
  text-decoration: none;
  margin-bottom: 12px;
}

.socials-about {
  height: 42px;
  width: 190px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  list-style-type: none;
}

.resume-button {
  width: 162px;
  height: 48px;
}

.stack {
  margin-top: 33px;
  margin-left: 22px;
  margin-right: 22px;
}

.stack-list {
  list-style: none;
  display: flex;
  flex-direction: column;
}

.stack-set-t {
  font-weight: 400;
  font-size: 20px;
  line-height: 24px;
  color: #000;
  margin-top: 24px;
  margin-bottom: 24px;
  margin-left: 12px;
}

.prog-langs {
  display: flex;
  flex-direction: column;
  list-style: none;
}

.prog-lang {
  display: flex;
  align-items: center;
  margin-bottom: 12px;
  background-color: #f7f7f9;
  border-radius: 8px;
}

.prog-lang-names {
  margin-left: 16px;
}

.prog-lang-image {
  margin-left: 12px;
  margin-top: 9px;
  margin-bottom: 9px;
}

.stack-set {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.hr {
  border-bottom: 1px solid #dfe1e6;
}

.modal-hr {
  padding-top: 21px;
  border-top: 1px solid #dfe1e6;
}

.dropdown-right {
  margin-top: 30px;
  margin-right: 42px;
  margin-bottom: 29px;
}

.contact {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #6070ff;
  background-image: url("img/contact-form-shapes-mobile.svg");
  background-position: right;
  border-top-left-radius: 60px;
  background-repeat: no-repeat;
  height: 779px;
  margin-top: -50px;
}

.contact-text {
  margin-bottom: 55px;
  font-weight: 400;
  font-size: 20px;
  line-height: 28px;
  text-align: center;
  color: #ebebff;
  margin-left: 24px;
  margin-right: 24px;
}

.contact-form {
  display: flex;
  flex-direction: column;
}

label {
  display: none;
}

.drop-down {
  margin-bottom: 33px;
  margin-right: 40px;
  margin-top: 31px;
}

.field {
  font-family: Poppins, sans-serif;
  font-style: normal;
  font-weight: 400;
  margin-bottom: 20px;
  border: 1px solid #cfd8dc;
  border-radius: 8px;
  width: 327px;
  height: 48px;
  font-size: 17px;
  padding: 14px 37px 13px 15px;
  line-height: 20px;
}

textarea {
  margin-bottom: 20px;
  border: 1px solid #cfd8dc;
  border-radius: 8px;
  width: 327px;
  height: 170px;
  padding: 15px 38px 15px 16px;
  font-family: Poppins, sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 24px;
  color: #b3bac5;
}

.c-title {
  font-weight: 720;
  font-size: 38px;
  color: #fff;
  padding-top: 101px;
  margin-bottom: 10px;
  line-height: 54px;
}

#error-message {
  padding: 2px;
  margin-bottom: 5px;
  color: #f00;
  font-size: 15px;
  float: left;
  background-color: #fff;
  border-radius: 8px;
  border: 1px solid #cfd8dc;
}

.footer-button {
  float: left;
  font-family: Poppins, sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 1rem;
  line-height: 24px;
  height: 48px;
  width: 140px;
  background-color: #fff;
  padding: 12px 16px;
}

@media only screen and (max-width: 768px) {
  .desktop {
    display: none;
  }
}

@media only screen and (min-width: 768px) {
  .mobile {
    display: none;
  }

  header {
    filter: drop-shadow(0 0 16px rgb(64 83 252 / 24%));
  }

  .overlay {
    display: none;
  }

  main {
    height: 916px;
  }

  nav {
    height: 72px;
  }

  .nav-links {
    color: #344563;
  }

  .headline {
    display: flex;
    background-color: #fff;
    height: 850px;
    width: 99vw;
    flex-direction: column;
    background-image: url("img/headline-bg-desktop.svg");
  }

  .headline-title {
    font-size: 45px;
    font-weight: 700;
    margin: 290px 0 11px 240px;
    line-height: 60px;
    letter-spacing: 0.24px;
    color: #091e42;
  }

  .headline-link {
    margin: 0 0 16px 260px;
  }

  .works {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr;
    grid-row-gap: 142px;
  }

  .tile {
    border-radius: 24px;
    display: flex;
    flex-direction: row;
    background-color: #fff;
    height: 496px;
    width: 1156px;
    margin: auto;
  }

  .headline-text {
    font-weight: 400;
    font-size: 20px;
    line-height: 28px;
    margin: 0 260px 12px;
  }

  .tile-image {
    width: 544px;
    height: 448px;
    margin-left: 24px;
    margin-top: 24px;
    margin-bottom: 24px;
  }

  .socials {
    margin: 0 0 255px 260px;
  }

  .card-title {
    font-weight: 700;
    font-size: 40px;
    line-height: 52px;
  }

  .company {
    font-weight: 500;
    font-size: 18px;
    line-height: 24px;
  }

  .card-info {
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
  }

  .modal-window {
    padding: 77px 142px;
  }

  .modal-title {
    font-size: 40px;
    line-height: 52px;
  }

  .title-desc {
    width: 544px;
    height: 445px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 24px;
    gap: 24px;
  }

  .modal-texts {
    display: flex;
    flex-direction: row;
    background-color: #fff;
    padding-top: 59px;
    padding-bottom: 59px;
    border-radius: 16px;
  }

  .modal-info {
    font-size: 16px;
    font-weight: 400;
    line-height: 30px;
    width: 55%;
    background-color: #fff;
    margin-left: 24px;
  }

  .modal-btns {
    width: 100%;
    display: flex;
    justify-content: space-between;
  }

  .tag-btns {
    margin-left: 24px;
  }

  .skillpost {
    font-weight: 400;
    font-size: 18px;
    line-height: 24px;
  }

  .github-tag,
  .ruby-tag,
  .bootstrap-tag {
    display: block;
  }

  .about {
    display: flex;
    flex-direction: row;
    height: 924px;
  }

  .card-5 {
    flex-direction: row-reverse;
  }

  .year {
    font-weight: 400;
    font-size: 18px;
    line-height: 24px;
  }

  .head-info {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0;
    gap: 24px;
    width: 447px;
    height: 392px;
    margin: 142px 37px 134px 142px;
  }

  .about-title {
    font-weight: 700;
    font-size: 40px;
    line-height: 52px;
  }

  .about-info {
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
  }

  textarea {
    width: 447px;
  }

  .about-link {
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
  }

  .stack {
    margin-top: 142px;
    margin-left: 24px;
    margin-right: 24px;
    width: 684px;
  }

  .stack-set {
    display: flex;
    justify-content: space-between;
    margin-top: 24px;
  }

  .prog-langs {
    display: flex;
    flex-direction: row;
  }

  .prog-lang {
    display: flex;
    flex-direction: column;
    margin-right: 12px;
    align-items: flex-start;
    height: 120px;
    width: 122px;
    justify-content: space-around;
  }

  .contact {
    background-color: #6070ff;
    background-image: url("img/contact-form-shapes.svg");
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .contact-text {
    width: 569px;
  }

  .field {
    width: 447px;
  }
}
